<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template match="/">
<html>

<body bgcolor="#000080" text="#FFFFFF" link="#FFFFFF" vlink="#FFFFFF" alink="#FFFFFF">

<p><font face="Arial" size="4" color="#FFFF00"><u>Header/Detail/Detail Results</u></font></p>

<xsl:for-each select="root/CUSTOMERS">
<p></p>
<table border="0" width="100%">
  <tr>
    <td width="26%"><font face="Arial" size="2" color="#FFFF00"><b>Customer ID</b></font></td>
    <td width="74%"><font face="Arial" size="2" color="#FFFF00"><b><xsl:value-of select="@CUSTOMER_ID"/></b></font></td>
  </tr>
  <tr>
    <td width="26%"><font face="Arial" size="2">Name</font></td>
    <td width="74%"><font face="Arial" size="2"><xsl:value-of select="@COMPANY_NAME"/></font>
</td>
  </tr>
  <tr>
    <td width="26%"><font face="Arial" size="2">Address</font></td>
    <td width="74%"><font face="Arial" size="2"><xsl:value-of select="@ADDRESS"/></font>
</td>
  </tr>
</table>


<table border="1" width="100%" celspacing="0" cellpadding="0">
  <tr>
    <td width="16%"><font color="#FFFF00" size="2" face="Arial"><b>Order ID</b></font></td>
    <td width="16%"><font color="#FFFF00" size="2" face="Arial"><b>Date</b></font></td>
    <td width="17%"><font color="#FFFF00" size="2" face="Arial"><b>Ship Name</b></font></td>
    <td width="17%" colspan="3"><font color="#FFFF00" size="2" face="Arial"><b>Address</b></font></td>
  </tr>
<xsl:for-each select="ORDERS">
  <tr>
    <td width="16%"><font color="#FFFFFF" size="2" face="Arial"><xsl:value-of select="@ORDER_ID"/></font></td>
    <td width="16%"><font color="#FFFFFF" size="2" face="Arial"><xsl:value-of select="@ORDER_DATE"/></font></td>
    <td width="17%"><font color="#FFFFFF" size="2" face="Arial"><xsl:value-of select="@SHIP_NAME"/></font></td>
    <td width="17%" colspan="3"><font color="#FFFFFF" size="2" face="Arial"><xsl:value-of select="@SHIP_ADDRESS"/></font></td>
  </tr>
 <tr>
    <td width="100%" colspan="6">
      <table border="0" width="100%" celspacing="0" cellpadding="0">
        <tr>
          <td width="16%"></td>
          <td width="16%"><font color="#FFFF00" size="2" face="Arial"><b>Product ID</b></font></td>
          <td width="17%"><font color="#FFFF00" size="2" face="Arial"><b>Description</b></font></td>
          <td width="17%"><font color="#FFFF00" size="2" face="Arial"><b>Price</b></font></td>
          <td width="17%"><font color="#FFFF00" size="2" face="Arial"><b>Quantity</b></font></td>
          <td width="17%"><font color="#FFFF00" size="2" face="Arial"><b>Total</b></font></td>
        </tr>

<xsl:for-each select="ORDER_DETAILS">
        <tr>
          <td width="16%"></td>
          <td width="16%"><font face="Arial" size="2"><xsl:value-of select="@PRODUCT_ID"/></font></td>
          <td width="17%"><font face="Arial" size="2"><xsl:value-of select="PRODUCTS/@PRODUCT_NAME"/></font></td>
          <td width="17%"><font face="Arial" size="2"><xsl:value-of select="@UNIT_PRICE"/></font></td>
          <td width="17%"><font face="Arial" size="2"><xsl:value-of select="@QUANTITY"/></font></td>
          <td width="17%"><font face="Arial" size="2"><xsl:eval>formatNumber(lineTotal(this), "0.00")</xsl:eval></font></td>
        </tr>
</xsl:for-each>

      </table>
    </td>
  </tr>
</xsl:for-each>
  <tr>
    <td width="16%"></td>
    <td width="16%"></td>
    <td width="17%"></td>
    <td width="17%"></td>
    <td width="17%"></td>
    <td width="17%"></td>
  </tr>
</table>
</xsl:for-each>

</body>

</html>

</xsl:template>
<xsl:script>
<![CDATA[

   function lineTotal(item)
   {
      var price = item.selectSingleNode("@UNIT_PRICE").nodeTypedValue;
      var qty = item.selectSingleNode("@QUANTITY").nodeTypedValue;
      return qty * price;
   }

]]>
</xsl:script>
</xsl:stylesheet>
