SELECT CUSTOMERS.CUSTOMER_ID, COMPANY_NAME, ADDRESS, ORDER_DATE, SHIP_NAME, SHIP_ADDRESS, ORDERS.ORDER_ID, ORDER_DETAILS.PRODUCT_ID, PRODUCTS.PRODUCT_NAME, ORDER_DETAILS.UNIT_PRICE, ORDER_DETAILS.QUANTITY 
FROM CUSTOMERS 
LEFT JOIN ORDERS
ON CUSTOMERS.CUSTOMER_ID = ORDERS.CUSTOMER_ID
LEFT JOIN [ORDER_DETAILS]
ON ORDER_DETAILS.ORDER_ID = ORDERS.ORDER_ID
LEFT JOIN PRODUCTS
ON PRODUCTS.PRODUCT_ID = [ORDER_DETAILS].PRODUCT_ID
ORDER BY CUSTOMERS.COMPANY_NAME, ORDERS.ORDER_DATE
FOR XML AUTO
